sbservices_client_free
sbservices_client_new
sbservices_client_start_service
sbservices_client_t
sbservices_error_t
sbservices_get_home_screen_wallpaper_pngdata
sbservices_get_icon_pngdata
sbservices_get_icon_state
sbservices_get_interface_orientation
sbservices_interface_orientation_t
SBSERVICES_SERVICE_NAME
sbservices_set_icon_state

## sbservices_client_new()

LIBIMOBILEDEVICE_API sbservices_error_t sbservices_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | sbservices_client_t * | client )

Connects to the springboardservices service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated sbservices_client_t upon successful return.

Returns
  SBSERVICES_E_SUCCESS on success, SBSERVICES_E_INVALID_ARG when client is NULL, or an SBSERVICES_E_* error code otherwise.